Bug 16015 - unmet dependency
: unmet dependency
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/graphviz-tcl)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-06-13 22:38 by
Modified: 2008-09-09 11:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-06-13 22:38:23
$ sudo apt-get install  graphviz-demos graphviz-tcl
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  graphviz-tcl: Depends: /usr/lib/graphviz/tcl/libgv_tcl.so but it is not
installable
E: Broken packages
$
------- Comment #1 From 2008-06-13 22:39:56 -------
graphviz-tcl-2.16.1-alt1
------- Comment #2 From 2008-06-16 19:40:16 -------
apt-get install graphviz-perl graphviz-demos graphviz-tcl
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  graphviz-perl: Depends: /usr/lib/graphviz/perl/libgv_perl.so but it is not
installable
  graphviz-tcl: Depends: /usr/lib/graphviz/tcl/libgv_tcl.so but it is not
installable
E: Broken packages
------- Comment #3 From 2008-06-21 15:56:40 -------
Ура!  Оно кому-то понадобилось!

См. %changelog -- у нас была безнадёжно протухшая версия с предположительно
работающими bindings, а у меня нашлось время обновить версию и исправить
сборку, но не обеспечить заведомо работающие байндинги.

Предлагаю починить за меня, поскольку сейчас тоже сложно.
------- Comment #4 From 2008-07-27 13:25:54 -------
ping. Нехорошо получилось :(
------- Comment #5 From 2008-07-30 19:45:53 -------
(In reply to comment #4)
> ping. Нехорошо получилось :(
pong!  Нехорошо, причём догадывался заранее.  Мне это проверить не на чем,
чего ж и орал тогда.  Но никто не вылез.  А новый graphviz был сильно нужен.
------- Comment #6 From 2008-09-09 11:52:53 -------
fixed in 2.20.2-alt1